# osgSim::AzimElevationSector Class Reference

Inheritance diagram for osgSim::AzimElevationSector:

[legend]
List of all members.

## Public Member Functions

| AzimElevationSector ()
| AzimElevationSector (const AzimElevationSector &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| AzimElevationSector (float minAzimuth, float maxAzimuth, float minElevation, float maxElevation, float fadeAngle=0.0f)
| META_Object (osgSim, AzimElevationSector)
virtual float | operator() (const osg::Vec3 &eyeLocal) const

## Protected Member Functions

virtual | ~AzimElevationSector ()

## Constructor & Destructor Documentation

osgSim::AzimElevationSector::AzimElevationSector | ( |  | ) | `[inline]`

osgSim::AzimElevationSector::AzimElevationSector | ( | const AzimElevationSector & | copy,
|  | const osg::CopyOp & | copyop = `osg::CopyOp::SHALLOW_COPY`
| ) | `[inline]`

AzimElevationSector::AzimElevationSector | ( | float | minAzimuth,
|  | float | maxAzimuth,
|  | float | minElevation,
|  | float | maxElevation,
|  | float | fadeAngle = `0.0f`
| ) |

virtual osgSim::AzimElevationSector::~AzimElevationSector | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

osgSim::AzimElevationSector::META_Object | ( | osgSim | ,
|  | AzimElevationSector |
| ) |

float AzimElevationSector::operator() | ( | const osg::Vec3 & | eyeLocal | ) | const`[virtual]`

| Implements osgSim::Sector.

The documentation for this class was generated from the following files:

- Sector
- Sector.cpp